delete webhook rule.md

Delete Webhook Rule

Management API · Webhook Rules

DELETE https://app.mk.io/api/v1/projects/{project_name}/webhook/rules/{rule_name}

Delete Webhook Rule

RBAC Capability Required: webhooks.config.delete

Authentication

Path parameters

Name Type Required Description
project_name string Yes
rule_name string Yes

Example request

curl -X DELETE "https://app.mk.io/api/v1/projects/{project_name}/webhook/rules/{rule_name}" \
  -H "Authorization: Bearer <token>"

Responses

200 — Webhook Rule deleted.

No response body.

204 — Nothing to delete.

No response body.

400 — Bad Request

Example:

{
  "error": {
    "code": "string",
    "detail": "string",
    "extraDetail": {
      "key": null
    }
  },
  "ref": "string",
  "status": 0
}

401 — Unauthorized

Example:

{
  "error": {
    "code": "string",
    "detail": "string",
    "extraDetail": {
      "key": null
    }
  },
  "ref": "string",
  "status": 0
}

403 — Forbidden

Example:

{
  "error": {
    "code": "string",
    "detail": "string",
    "extraDetail": {
      "key": null
    }
  },
  "ref": "string",
  "status": 0
}

404 — Not Found

Example:

{
  "error": {
    "code": "string",
    "detail": "string",
    "extraDetail": {
      "key": null
    }
  },
  "ref": "string",
  "status": 0
}

429 — Too Many Requests

Example:

{
  "error": {
    "code": "string",
    "detail": "string",
    "extraDetail": {
      "key": null
    }
  },
  "ref": "string",
  "status": 0
}

500 — Internal Server Error

Example:

{
  "error": {
    "code": "string",
    "detail": "string",
    "extraDetail": {
      "key": null
    }
  },
  "ref": "string",
  "status": 0
}

Source spec: management-api · operationId: [delete]_/api/v1/projects/{project_name}/webhook/rules/{rule_name}